Subject: bug#20547: emacs-24.5 problem with indent-mode

From: Petr Hracek <[email-masked]>
Date: Mon, 11 May 2015 13:18:16 +0200

Hi folks,

I have discovered an issue with Python indent-mode.

If I open a Python code and write 'def some_func:' and hit C-j
then emacs did not pass any indentation (e.g. 4 spaces).

When I turned of electrict-indent-mode then the issue is fixed.
I have already asked for that, I guess. But I am not pretty sure.

Did you discover this issue?

My .emacs file look like this:
(custom-set-variables
  ;; custom-set-variables was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
  '(inhibit-startup-screen t))
(custom-set-faces
  ;; custom-set-faces was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
  )
(autoload 'rpm-spec-mode "rpm-spec-mode.el" "RPM spec mode." t)
(setq auto-mode-alist (append '(("\\.spec" . rpm-spec-mode))
                   auto-mode-alist))
(defun my-rpm-changelog-increment-version()
   (interactive)
   (goto-char (point-min))
   (let * ((max (search-forward-regexp rpm-section-regexp))
       (version (rpm-spec-field-value "Version" max)))
        (rpm-add-change-log-entry (concat "Upgrade version to " version))
        ))

-- 
Petr Hracek
Software Engineer
Developer Experience
Red Hat, Inc
Mob: +420777056169
email: [email-masked]